Package: org.grails.gsp.jsp

## [Groovy] Class TagLibraryResolverImpl

- org.grails.gsp.jsp.TagLibraryResolverImpl

- All Implemented Interfaces and Traits:
    GrailsApplicationAware, org.springframework.web.context.ServletContextAware, TagLibraryResolver, org.springframework.context.ResourceLoaderAware, org.springframework.beans.factory.BeanClassLoaderAware

      @groovy.transform.CompileStatic
      class TagLibraryResolverImpl
      extends java.lang.Object

  Resolves all of the available tag libraries from web.xml and all available JAR files. Kudos to the Freemarker (http://freemarker.sourceforge.net/) library for providing the inspiration for this code.

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.util.Map<java.lang.String, JspTagLib>` | `tagLibs` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.ClassLoader` | `classLoader`
    `GrailsApplication` | `grailsApplication`
    `boolean` | `initialized`
    `org.springframework.core.io.ResourceLoader` | `resourceLoader`
    `javax.servlet.ServletContext` | `servletContext`
    `java.lang.String[]` | `tldScanPatterns`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.util.List<java.net.URL>` | `getJarsFromServletContext()`
    `` | `protected java.io.InputStream` | `getTldFromServletContext(java.lang.String loc)`
    `` | `protected org.springframework.core.io.Resource` | `getWebXmlFromServletContext()`
    `` | `void` | `initialize()`
    `` | `protected java.net.URLClassLoader` | `resolveRootLoader()` Obtains a reference to the first parent classloader that is a URLClassLoader and contains some URLs
    `` | `JspTagLib` | `resolveTagLibrary(java.lang.String uri)` Resolves a JspTagLib instance for the given URI
    `` | `void` | `setBeanClassLoader(java.lang.ClassLoader classLoader)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected java.util.Map<java.lang.String, JspTagLib> tagLibs

  - ### Property Detail

    - #### java.lang.ClassLoader classLoader

    - #### GrailsApplication grailsApplication

    - #### boolean initialized

    - #### org.springframework.core.io.ResourceLoader resourceLoader

    - #### javax.servlet.ServletContext servletContext

    - #### @org.springframework.beans.factory.annotation.Value('#{\'${grails.gsp.tldScanPattern:}\'?:\'${spring.gsp.tldScanPattern:}\'}') java.lang.String[] tldScanPatterns

  - ### Method Detail

    - #### protected java.util.List<java.net.URL> getJarsFromServletContext()

    - #### protected java.io.InputStream getTldFromServletContext(java.lang.String loc)

    - #### protected org.springframework.core.io.Resource getWebXmlFromServletContext()

    - #### void initialize()

    - #### protected java.net.URLClassLoader resolveRootLoader()

      Obtains a reference to the first parent classloader that is a URLClassLoader and contains some URLs

    - #### JspTagLib resolveTagLibrary(java.lang.String uri)

      Resolves a JspTagLib instance for the given URI

    - #### @java.lang.Override void setBeanClassLoader(java.lang.ClassLoader classLoader)